# Class ToolResultContent

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents tool result content that is part of a message.

    public class ToolResultContent : Content

Inheritance
  object
  Content
  ToolResultContent

Inherited Members
  Content.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ToolResultContent(string, string)

Initializes a new instance of the ToolResultContent class.

    public ToolResultContent(string toolUseId, string content)

#### Parameters

`toolUseId` string

  The tool use ID of the content.

`content` string

  The content of the tool result.

#### Exceptions

ArgumentNullException

  Thrown when the tool use ID or content is null.

## Properties

### Content

Gets the content of the tool result.

    public string Content { get; init; }

#### Property Value

string

### ToolUseId

Gets the tool use ID of the content.

    [JsonPropertyName("tool_use_id")]
    public string ToolUseId { get; init; }

#### Property Value

string